SourceID Docs
Kenya

Alien ID Verification for Kenya

This endpoint is used to verify the details of an alien ID. It requires the alien ID number, along with other identifying details.

Endpoint: POST {baseurl}/v1/api/verification/alien-id

Request Body

Field NameTypeRequiredDescription
countrystringYesThe country code of the alien ID.
referencestringYesA unique reference for the verification request.
verificationLevelstringYesThe level of verification to perform.
alienIdstringYesThe alien ID number to verify.
customerstringNoID of the customer (optional).
verificationGroupstringNoID of the verification group (optional).

Example Request Body

{
    "country": "KEN",
    "reference": "0122333444455555",
    "verificationLevel": "basic",
    "alienId": "123456789"
}

Sample Request

curl -X POST "{baseurl}/v1/api/verification/alien-id" \
-H "Content-Type: application/json" \
-H "x-api-key: {API-KEY}" \
-d '{
    "country": "KEN",
    "reference": "0122333444455555",
    "verificationLevel": "basic",
    "alienId": "123456789",
    "customer": "6791457be570f7f292f1fe23",
    "verificationGroup": "6791457be570f7f292f1fe23"
}'

Sample Response

{
    "status": true,
    "responseCode": "00",
    "statusCode": "200",
    "message": "Alien Id verification successful",
    "data": {
        "alienId": "123456789",
        "gender": "Male",
        "firstName": "John",
        "lastName": "Doe",
        "fullName": "John Doe",
        "dateOfBirth": "1990-01-01",
        "placeOfBirth": "New York",
        "placeOfResidence": "Nairobi",
        "serialNumber": "AL123456",
        "address": "123 Test Street, Nairobi",
        "phoneNumber": "+254712345678",
        "photo": "base64encodedimage",
        "signature": "base64encodedsignature",
        "expiryDate": "2030-01-01",
        "issueDate": "2020-01-01"
    },
    "meta": {
        "statusCode": "200",
        "isValid": true,
        "timeStamp": "Thu Apr 24 2025 12:38:19 GMT+0000 (Coordinated Universal Time)"
    }
}